<?php
/**
 * The Secondary Sidebar containing the secondary widget area
 *
 * @package Catch Themes
 * @subpackage Clean Business Pro
 * @since Clean Business 1.0
 */
?>

<?php
/**
 * clean_business_before_promotion_headline_content hook
 */
do_action( 'clean_business_before_promotion_headline_content' );

echo '
	<div id="promotion-message">
		<div class="container">';

    	//Promotion Headline Left
		 if ( is_active_sidebar( 'promotion-headline-left' ) ) {
    		dynamic_sidebar( 'promotion-headline-left' );
    	}
    	else {
			$clean_business_promotion_headline    = apply_filters( 'clean_business_get_option', 'promotion_headline' );
			$clean_business_promotion_subheadline = apply_filters( 'clean_business_get_option', 'promotion_subheadline' );

			echo '
			<div class="section left">';

			if ( "" != $clean_business_promotion_headline ) {
				echo '<h2 class="promotion-title entry-title">' . $clean_business_promotion_headline . '</h2>';
			}

			if ( "" != $clean_business_promotion_subheadline ) {
				echo '<p>' . $clean_business_promotion_subheadline . '</p>';
			}

			echo '
			</div><!-- .section.left -->';
		}

    	//Promotion Headline Right
    	if ( is_active_sidebar( 'promotion-headline-right' ) ) {
    		dynamic_sidebar( 'promotion-headline-right' );
    	}
    	else {
			$clean_business_promotion_headline_button = apply_filters( 'clean_business_get_option', 'promotion_headline_button' );
			$clean_business_promotion_headline_target = apply_filters( 'clean_business_get_option', 'promotion_headline_target' );
    		$clean_business_promotion_headline_url = apply_filters( 'clean_business_get_option', 'promotion_headline_url' );
    		//support qTranslate plugin
			if ( function_exists( 'qtrans_convertURL' ) ) {
				$clean_business_promotion_headline_url = qtrans_convertURL( $clean_business_promotion_headline_url );
			}

			if ( "" != $clean_business_promotion_headline_url ) {
				if ( "1" == $clean_business_promotion_headline_target ) {
					$clean_business_headlinetarget = '_blank';
				}
				else {
					$clean_business_headlinetarget = '_self';
				}	

				echo '
				<div class="section right">
					<a class="promotion-button roll-button more-button" href="' . esc_url( $clean_business_promotion_headline_url ) . '" target="' . $clean_business_headlinetarget . '">' . esc_attr( $clean_business_promotion_headline_button ) . '
					</a>
				</div><!-- .section.right -->';
			}
    	}

	echo '
		</div><!-- .container -->
	</div><!-- #promotion-message -->';


/**
 * clean_business_after_promotion_headline_content hook
 *
 */
do_action( 'clean_business_after_promotion_headline_content' );